G4C

winbig -1 -1 240 103 "Disk Operations"
wintype 11110000
;winout "con:0/11/640/245/Cli-Master Output/auto/close"
varpath "climaster/*/cmroutines"

xonload
dop_sdrv = "DF0:"
dop_ddrv = "DF1:"
dop_fsys = "ffs"
dop_instarg = "ffs"
dop_dcach = ""
dop_tcan = ""
dop_quck = ""
dop_chbb = ""
..drvlst = "DF0:\n"
ifexists device df1
    append env:drvlst 'DF1:\n'
elseifexists device df2
    append env:drvlst 'DF2:\n'
elseifexists device df3
    append env:drvlst 'DF3:\n'    
elseifexists device rad
    append env:drvlst 'RAD:\n'    
elseifexists device rd0
    append env:drvlst 'RD0:\n'    
elseifexists device rd1
    append env:drvlst 'RD1:\n'    
elseifexists device pc0
    append env:drvlst 'PC0:\n'    
elseifexists device pc1
    append env:drvlst 'PC1:\n'    
endif
guiopen diskop.g

xonopen
lvuse diskop.g 1
lvchange env:drvlst
update diskop.g 3 $dop_sdrv
if $cmst_mode = "format"
    lvuse diskop.g 2
    lvclear
    setgad diskop.g 2 off
    setgad diskop.g 5 on
    setgad diskop.g 6 on
    setgad diskop.g 7 on
    setgad diskop.g 8 on
    setgad diskop.g 9 on
    setgad diskop.g 10 off
    setgad diskop.g 11 on
    setgad diskop.g 12 off
    setgad diskop.g 13 off
    setgad diskop.g 14 off
    update diskop.g 4 "NONE"
elseif $cmst_mode = "dcopy"
    setgad diskop.g 2 on
    setgad diskop.g 5 on
    setgad diskop.g 6 off
    setgad diskop.g 7 off
    setgad diskop.g 8 off
    setgad diskop.g 9 off
    setgad diskop.g 10 off
    setgad diskop.g 11 off
    setgad diskop.g 12 on
    setgad diskop.g 13 off
    setgad diskop.g 14 off
    lvuse diskop.g 2
    lvchange env:drvlst
    update diskop.g 4 $dop_ddrv
    update diskop.g 15 "$dop_sdrv to $dop_ddrv"
elseif $cmst_mode = "install"
    lvuse diskop.g 2
    lvclear
    setgad diskop.g 2 off
    setgad diskop.g 5 off
    setgad diskop.g 6 on
    setgad diskop.g 7 off
    setgad diskop.g 8 off
    setgad diskop.g 9 off
    setgad diskop.g 10 on
    setgad diskop.g 11 off
    setgad diskop.g 12 off
    setgad diskop.g 13 on
    setgad diskop.g 14 off
    update diskop.g 4 "NONE"
elseif $cmst_mode = "relab"
    lvuse diskop.g 2
    lvclear
    setgad diskop.g 2 off
    setgad diskop.g 5 on
    setgad diskop.g 6 off
    setgad diskop.g 7 off
    setgad diskop.g 8 off
    setgad diskop.g 9 off
    setgad diskop.g 10 off
    setgad diskop.g 11 off
    setgad diskop.g 12 off
    setgad diskop.g 13 off
    setgad diskop.g 14 on
    update diskop.g 4 "NONE"
endif

xonclose
delvar dop_#?
delete env:drvlst
guiquit diskop.g

xonrmb
guiclose diskop.g

box 0 61 0 42 out button

xlistview 0 0 70 40 "" dop_sdrv env:drvlst 0 txt
gadid 1
gadfont topaz.font 8 000
update diskop.g 3 $dop_sdrv
if $cmst_mode = "dcopy"
    update diskop.g 15 "$dop_sdrv to $dop_ddrv"
endif

xlistview 170 0 70 40 "" dop_ddrv env:drvlst 0 txt
gadid 2
gadfont topaz.font 8 000
update diskop.g 4 $dop_ddrv
if $cmst_mode = "dcopy"
    update diskop.g 15 "$dop_sdrv to $dop_ddrv"
endif

text 0 36 70 12 "" 6 box
gadtxt center
gadid 3

text 170 36 70 12 "" 6 box
gadtxt center
gadid 4

xtextin 0 48 240 13 "" dop_nwname "" 30
gadid 5

xcheckbox 10 65 26 11 "FFS" dop_fsys "ffs" "" on
gadid 6
gadtitle right
if $dop_fsys = "ffs"
    update diskop.g 10 0
    dop_instarg = $dop_fsys
else
    dop_instarg = ""
endif

xcheckbox 10 76 26 11 "DirCache" dop_dcach "dircache" "" off
gadid 7
gadtitle right

xcheckbox 10 87 26 11 "Trashcan" dop_tcan "" "noicons" on
gadid 8
gadtitle right

xcheckbox 130 65 26 11 "Quick" dop_quck "quick" "" off
gadid 9
gadtitle right

xcheckbox 130 76 26 11 "Check BB" dop_chbb "check" "" off
gadid 10
gadtitle right
if $dop_chbb = "check"
    update diskop.g 6 0
    dop_instarg = $dop_chbb
else
    dop_instarg = ""
endif

text 130 89 100 12 "" 12 nobox
gadid 15

xbutton 70 0 100 12 "Format"
gadid 11
cli 'sys:system/format drive $dop_sdrv name "$dop_nwname" $dop_tcan $dop_fsys $dop_dcach $dop_quck\n'
guiclose diskop.g

xbutton 70 12 100 12 "Disk Copy"
gadid 12
cli 'sys:system/diskcopy $dop_sdrv $dop_ddrv name "$dop_nwname"\n'
guiclose diskop.g

xbutton 70 24 100 12 "Install"
gadid 13
cli 'c:install drive $dop_sdrv $dop_instarg\n'
delay 100
guiclose diskop.g

xbutton 70 36 100 12 "Relabel"
gadid 14
if $dop_nwname = ""
    ezreq "You MUST supply a Volume Name" Okay ""
    stop
endif
cli 'c:relabel drive $dop_sdrv name "$dop_nwname"\n'
guiclose diskop.g

