G4C

winbig -1 -1 240 113 "cmhelp.g"
wintype 11010001
usetopaz
varpath "hlpvwr.g/cmroutines"

xonload
extract cmhelp.g guipath fre_path
guide = "cmst:CLIMaster.guide"
guiload :hlpvwr.g
ifexists file $guide
    run 'resident cmst:bin/getnodes pure add'
    run 'resident cmst:bin/writenode pure add'
    cli 'getnodes $guide cmst:climaster.guide.idx'
    lvuse cmhelp.g 1
    lvchange cmst:climaster.guide.idx
    guiopen cmhelp.g
    extract guide file wtitle
    extract wtitle unquote wtitle
    setwintitle cmhelp.g "$wtitle                      "
else
    ezreq "CLIMaster.guide not found." Okay ""
    gosub cmhelp.g exit
endif

xonkey #v
xonkey #r
if $$rawkey.code = 78
    lvuse cmhelp.g 1
    lvmove 1
elseif $$rawkey.code = 79
    lvuse cmhelp.g 1
    lvmove -1
endif

xonclose
gosub cmhelp.g exit

xtextin 0 0 220 13   "" txt "" 80
if $txt > ''
    lvuse cmhelp.g 1
    lvsearch $txt ci first
endif
gosub cmhelp.g search_update

xbutton 220 0 20 13 
if $txt > ''
   lvuse cmhelp.g 1
   lvsearch $txt ci next
endif
gosub cmhelp.g search_update

xlistview 0 13 240 100  '' topic '' 0 txt
gadid 1
gosub cmhelp.g fetchtext

xroutine fetchtext
cutvar topic cut word -2 offset
extract topic upper topic
extract topic unquote topic
cli 'writenode $guide $offset'
guiopen hlpvwr.g
gosub hlpvwr.g switchgads
update hlpvwr.g 2 "Subject: $topic"
set translation off
lvuse hlpvwr.g 1
lvchange ram:guide.txt

xroutine search_update
if $$lv.line > ''
    update cmhelp.g 1 $$lv.line
else
    lvgo #0
    update cmhelp.g 1 0
endif

xroutine exit
run 'resident getnodes remove'
run 'resident writenode remove'
ifexists file ram:guide.txt
    delete ram:guide.txt
endif
lvuse climaster $cmst_srce
guiquit hlpvwr.g 
guiquit cmhelp.g   
   